Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226372 - Merge Review: rhpl
Summary: Merge Review: rhpl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:50 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-15 09:23:56 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:50:47 UTC
Fedora Merge Review: rhpl

http://cvs.fedora.redhat.com/viewcvs/devel/rhpl/
Initial Owner: katzj@redhat.com

Comment 1 Parag AN(पराग) 2007-12-07 05:15:53 UTC
rhpl.i386: E: non-executable-script
/usr/lib/python2.5/site-packages/rhpl/arch.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

rhpl.i386: E: non-executable-script
/usr/lib/python2.5/site-packages/rhpl/keyboard_models.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

rhpl.i386: E: non-executable-script
/usr/lib/python2.5/site-packages/rhpl/exception.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

rhpl.i386: W: invalid-license GPL
The value of the License tag was not recognized.


SHOULD:
 Update buildroot.
 add license text.
 follow http://fedoraproject.org/wiki/Packaging/Python and add
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print get_python_lib()")}




Comment 2 Jeremy Katz 2007-12-07 18:49:04 UTC
Should all be fixed up in 0.211-1 building now

Comment 3 Parag AN(पराग) 2007-12-11 12:38:14 UTC
looks something goes wrong in CVS

cat sources showed me
d922d4303847d85e540057527950969d  rhpl-0.211.tar.bz2

But spec wants tar.gz not bz2

Source0: %{name}-%{version}.tar.gz


Comment 4 Jeremy Katz 2007-12-11 14:49:24 UTC
Whoops, that will teach me to just copy and paste makefile rules over without
actually looking at them.  Switched the spec and really building again

Comment 5 Parag AN(पराग) 2007-12-12 03:02:37 UTC
still rpmlint is not silent
rhpl.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/rhpl/iwlib.so 0775
rhpl.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/rhpl/iconv.so 0775
rhpl.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/rhpl/ethtool.so 0775

Also,
 you can use "make %{?_smp_mflags}" in %build

Comment 6 Jeremy Katz 2007-12-12 03:14:23 UTC
I'm not seeing that here with the package built by koji.  Do you have a weird umask?
    [katzj@aglarond ~]$ rpmlint rhpl-0.212-1.i386.rpm 
    rhpl.i386: W: no-url-tag

And make -j can cause weirdness with rhpl from what I vaguely remember (we used
to do it, but then stopped)

Comment 7 Parag AN(पराग) 2007-12-12 03:31:37 UTC
Strange dunno what happened, I guess its problem with build user that I used to
build locally package in mock

When package build using rpmbuild I saw no issues of rpmlint.

Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
1cf6842afd763b6aa16ea4a3e326a4af  rhpl-0.212.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct but can be used as %defattr(-,root,root,-)
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package rhpl-0.212-1
  Provides: _diskutil.so _translate.so ethtool.so iconv.so iwlib.so
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libiw.so.29 libpthread.so.0 libpthread.so.0(GLIBC_2.0)
libpython2.5.so.1.0 python(abi) = 2.5 

  
APPROVED.



Note You need to log in before you can comment on or make changes to this bug.